Summary:        Install kmod/akmod drivers
Name:           driver-manager
Version:        2.0.0
Release:        1%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:	    com.inferit.driver-manager.desktop
Source2:	    com.inferit.driver-manager-autostart.desktop

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%global debug_package %{nil}
%define _build_id_links none

%description
Program for managing third-party drivers for some devices

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/autostart

%find_lang %{name}

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/com.inferit.driver-manager-autostart.desktop
%{_usr}/lib/%{name}
%{_bindir}/driver-manager
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.driver-manager.desktop
%{_datadir}/metainfo/com.inferit.driver-manager.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.driver-manager.gschema.xml

%changelog
* Tue Dec 17 2024 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 2.0.0-1
- Initial build

